View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001614aMuleMiscpublic2010-07-30 12:272010-08-08 16:59
Reportermorph 
Assigned Tosturedman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.6 
Target Version2.3.1Fixed in Version2.3.1 
Summary0001614: aMule doesn't build when using gcc-4.5
DescriptionHello,
I'm hereby forwarding the Debian bugs http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=564853: [^]

>>>
for the compiler version used, see:
http://lists.debian.org/debian-devel/2010/01/msg00230.html [^]

full build log:
http://people.debian.org/~lucas/logs/2010/01/08b/acl2_3.6-3_lsid64b.buildlog [^]

the reason of the build failure is likely in the package, if this turns out as a
gcc bug, please reassign to the gcc-4.5 package.

http://people.debian.org/~lucas/logs/2010/01/08b/amule_2.2.6+debian0-6_lsid64b.buildlog [^]

g++ -DHAVE_CONFIG_H -I. -I../../../../../src/utils/wxCas/src -I../../../..
-DUSE_WX_EXTENSIONS -I/usr/lib/wx/include/gtk2-unicode-release-2.8
-I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -W
-Wall -Wshadow -Wundef -pthread -Wall -g -O2 -c -o wxcasframe.o
../../../../../src/utils/wxCas/src/wxcasframe.cpp
../../../../../src/utils/wxCas/src/wxcasframe.cpp: In member function 'wxImage*
WxCasFrame::GetStatImage() const':
../../../../../src/utils/wxCas/src/wxcasframe.cpp:292:58: error: cannot call
constructor 'wxFont::wxFont' directly
../../../../../src/utils/wxCas/src/wxcasframe.cpp:292:58: note: for a
function-style cast, remove the redundant '::wxFont'
In file included from /usr/include/wx-2.8/wx/wx.h:45:0,
                 from ../../../../../src/utils/wxCas/src/wxcasframe.cpp:37:
/usr/include/wx-2.8/wx/image.h: In copy constructor 'wxImage::wxImage(const
wxImage&)':
/usr/include/wx-2.8/wx/image.h:171:1: error: no matching function for call to
'wxObject::wxObject(wxImage, const wxObject&)'
/usr/include/wx-2.8/wx/object.h:415:5: note: candidates are:
wxObject::wxObject(const wxObject&)
/usr/include/wx-2.8/wx/object.h:412:5: note: wxObject::wxObject()
../../../../../src/utils/wxCas/src/wxcasframe.cpp: In member function 'wxImage*
WxCasFrame::GetStatImage() const':
../../../../../src/utils/wxCas/src/wxcasframe.cpp:315:56: note: synthesized
method 'wxImage::wxImage(const wxImage&)' first required here
make[6]: *** [wxcasframe.o] Error 1
make[6]: Leaving directory
`/build/user-amule_2.2.6+debian0-6-amd64-Sm4hQC/amule-2.2.6+debian0/obj-x86_64-linux-gnu/src/utils/wxCas/src'
<<<

Thanks & Regards,
Sandro
TagsNo tags attached.
Fixed in Revision10263
Operating SystemDebian GNU/Linux
Attached Files

- Relationships

-  Notes
(0003471)
sturedman (developer)
2010-08-07 22:10

I'll try to get my hands on a GCC 4.5 system, but I can't promise a date.
Patch welcome.
Is it just wxCas or do other parts fail too (does it build if configured without wxCas) ?
(0003472)
sturedman (developer)
2010-08-08 16:59

Just wxCas was involved, the rest built with no problem.

- Issue History
Date Modified Username Field Change
2010-07-30 12:27 morph New Issue
2010-07-30 12:27 morph Operating System => Debian GNU/Linux
2010-08-07 22:10 sturedman Note Added: 0003471
2010-08-07 22:10 sturedman Assigned To => sturedman
2010-08-07 22:10 sturedman Status new => acknowledged
2010-08-07 22:10 sturedman Target Version => 2.3.1
2010-08-08 16:59 sturedman Fixed in Revision => 10263
2010-08-08 16:59 sturedman Note Added: 0003472
2010-08-08 16:59 sturedman Status acknowledged => resolved
2010-08-08 16:59 sturedman Resolution open => fixed
2010-08-08 16:59 sturedman Fixed in Version => 2.3.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker